program NUTS;


{$APPTYPE CONSOLE}

uses
  SysUtils;

var
f:text;
t,i, n,m,k:integer;

begin
assign(f, 'NUTS.IN');
reset(F);
readln(f,t);
for i:=1 to T do
begin
readln(f, n,m,k);
if n*m>=k then writeln('YES')
else writeln('NO');
end;

end.